> ## Documentation Index
> Fetch the complete documentation index at: https://docs.okeyproxy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit sec-user account

> Update password and remarks of specific sec-user.



## OpenAPI

````yaml POST /api/v2/secUser/edit
openapi: 3.0.1
info:
  title: okey
  description: ''
  version: 1.0.0
servers:
  - url: https://api.okeyproxy.com/ipglobal-api
security: []
tags: []
paths:
  /api/v2/secUser/edit:
    post:
      tags: []
      summary: Edit sec-user account
      description: Update password and remarks of specific sec-user.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                secUsername:
                  type: string
                  title: ''
                  description: >-
                    Sec-user account. Letters and numbers only, up to 40
                    characters
                proxyConfig:
                  type: array
                  items:
                    type: object
                    properties:
                      proxyType:
                        type: string
                        title: ''
                        description: >-
                          Rotating proxies type. 1 for Starter, 2 for Advanced,
                          3 for Premium.
                      newPassword:
                        type: string
                        description: New password
                    required:
                      - proxyType
                      - newPassword
                  title: Proxy configuration
                remarks:
                  type: string
                  title: ''
                  description: >-
                    Remarks for sec-user. The remarks would be the same across
                    all plans
                apiKey:
                  type: string
                  description: Agent API key used for authentication
              required:
                - secUsername
                - apiKey
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    title: ''
                    description: Status code
                  msg:
                    type: string
                    title: ''
                    description: Status message
                  data:
                    type: string
                required:
                  - code
                  - msg
                  - data
              example:
                code: 200
                msg: success
                data: 'true'
          headers: {}
      deprecated: false
      security: []

````